#
# spec file for package python-jaraco.context
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-jaraco.context
Version:        5.3.0
Release:        2.1
Summary:        Tools to work with functools
License:        MIT
URL:            https://github.com/jaraco/jaraco.context
Source0:        https://files.pythonhosted.org/packages/source/j/jaraco.context/jaraco.context-%{version}.tar.gz
BuildRequires:  %{python_module backports.tarfile}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module portend}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module toml}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-backports.tarfile
BuildArch:      noarch
%python_subpackages

%description
jaraco.functools Tools for working with functools.
Additional functools in the spirit of stdlib’s functools.

%prep
%autosetup -p1 -n jaraco.context-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc docs/*.rst README.rst NEWS.rst
%{python_sitelib}/jaraco[_.]context-%{version}.dist-info
%dir %{python_sitelib}/jaraco
%{python_sitelib}/jaraco/context.py*
%dir %{python_sitelib}/jaraco/__pycache__
%pycache_only %{python_sitelib}/jaraco/__pycache__/context*.py*

%changelog
* Tue Apr  1 2025 Markéta Machová <mmachova@suse.com>
- Make it compatible with older setuptools
* Wed Mar 26 2025 Steve Kowalik <steven.kowalik@suse.com>
- Normalize metadata directory name.
* Sun Apr  7 2024 Dirk Müller <dmueller@suse.com>
- update to 5.3.0:
  * Deprecate infer_compression, as it was used primarily for
    deferring to the tar command.
  * Enable 'transparent' compression in the tarfile context.
  * Implemented tarfile using native functionality and avoiding
    subprocessing, making it portable.
  * Implement experimental _compose for composing context
    managers. If you wish to use this function, please comment in
    the issue regarding your thoughts on the ordering.
  * Deprecate null context.
  * Renamed tarball_context to tarball and deprecated
    tarball_context compatibility shim.
  * Disentangle pushd from tarball.
  * Removed deprecated 'runner' parameter to tarball_context.
* Mon May 22 2023 Dirk Müller <dmueller@suse.com>
- update to 4.3.0:
  * Deprecated ``runner`` parameter to ``tarball_context``.
  * Added test for ``pushd``.
  * Added ``on_interrupt`` decorator.
* Mon May 15 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Sun May 14 2023 Dirk Müller <dmueller@suse.com>
- update to 4.1.2:
  * Packaging refresh.
  * Enrolled with Tidelift.
* Tue Jun 28 2022 Adrian Schröter <adrian@suse.de>
- Update to version 4.1.1
  * Fixed some docs rendering issues.
  * To the ``ExceptionTrap``, added ``.raises()`` and ``.passes``
    decorators.
* Mon Mar 29 2021 Ben Greiner <code@bnavigator.de>
- Update to version 4.0.0
  * Moved dependency_context and run to jaraco.apt.
- Drop no-jaraco-apt.patch
- Remove unnecessary test tool requirements
* Tue Sep 15 2020 Steve Kowalik <steven.kowalik@suse.com>
- Initial package for 3.0.0
